import { setCompodocJson } from '@storybook/addon-docs/angular';
import type { Preview } from '@storybook/angular';
import docJson from '../documentation.json';
setCompodocJson(docJson);

const preview: Preview = {
  parameters: {
    docs: {
      toc: true,
    },
    controls: {
      matchers: {
        color: /(background|color)$/i,
        date: /Date$/,
      },
    },
    options: {
      storySort: {
        order: ['Introduction', ['DesignSystem'], 'Components', 'UI'],
      },
    },
    backgrounds: {
      values: [
        // Overrides storybook off-white to mockups white
        { name: 'white', value: '#fff' },
        { name: 'dark', value: '#333333' },
      ],
    },
  },
};

export default preview;
