import { Component } from '@angular/core';
import { ICellRendererParams } from 'ag-grid-community';

type DeleteJobsCellRendererParams = ICellRendererParams & { label: string; onClick: Function };
@Component({
  selector: 'app-delete-jobs-group',
  templateUrl: './delete-jobs-group.component.html',
})
export class DeleteJobsGroupComponent {
  public params: DeleteJobsCellRendererParams;
  public label: string;

  public agInit(params: DeleteJobsCellRendererParams): void {
    this.params = params;
    this.label = this.params.label || null;
  }

  public onClick(): void {
    if (this.params.onClick instanceof Function) {
      this.params.onClick(this.params);
    }
  }
}
