import { Component, EventEmitter, Input, Output } from '@angular/core';
import { UntypedFormGroup } from '@angular/forms';
import { User } from '../../../../models/user.model';

@Component({
  selector: 'app-account-newsletter',
  templateUrl: './account-newsletter.component.html',
})
export class AccountNewsletterComponent {
  @Input() accountForm: UntypedFormGroup;
  @Input() profile: User;
  @Output() validateForm = new EventEmitter<any>();

  public acceptReceiveNewsletter(accepts: boolean): void {
    this.accountForm.get('hasAcceptedNewsletter').setValue(accepts);
    this.validateForm.emit();
  }
}
