import { A11yModule } from '@angular/cdk/a11y';
import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { SharedModule } from '../../shared/shared.module';
import { FooterFormComponent } from '../footer-form/footer-form.component';
import { AccountCredentialsComponent } from './account-form/account-credentials/account-credentials.component';
import { AccountFormComponent } from './account-form/account-form.component';
import { AccountInfoComponent } from './account-form/account-info/account-info.component';
import { AccountNewsletterComponent } from './account-form/account-newsletter/account-newsletter.component';
import { FormViewRoutingModule } from './form-view-routing.module';
import { FormViewComponent } from './form-view.component';
import { PersonalOfferGuard } from './guards/personalOffer.guard';
import { PersonalOfferAccompanimentComponent } from './personal-offer-form/personal-offer-accompaniment/personal-offer-accompaniment.component';
import { PersonalOfferFormComponent } from './personal-offer-form/personal-offer-form.component';
import { PersonalOfferOtherStructureChoiceComponent } from './personal-offer-form/personal-offer-other-structure-choice/personal-offer-other-structure-choice.component';
import { PersonalOfferTrainingTypeComponent } from './personal-offer-form/personal-offer-training-type/personal-offer-training-type.component';
import { ProfileEmployerSelectionComponent } from './profile-form/profile-employer-selection/profile-employer-selection.component';
import { ProfileFormComponent } from './profile-form/profile-form.component';
import { ProfileJobSelectionComponent } from './profile-form/profile-job-selection/profile-job-selection.component';
import { ProfileStructureChoiceComponent } from './profile-form/profile-structure-choice/profile-structure-choice.component';
import { StructureAccessModalityComponent } from './structure-form/structure-access-modality/structure-access-modality.component';
import { StructureAccompanimentChoiceComponent } from './structure-form/structure-accompaniment-choice/structure-accompaniment-choice.component';
import { StructureConsentComponent } from './structure-form/structure-consent/structure-consent.component';
import { StructureContactComponent } from './structure-form/structure-contact/structure-contact.component';
import { StructureDescriptionComponent } from './structure-form/structure-description/structure-description.component';
import { StructureDigitalHelpingAccompanimentComponent } from './structure-form/structure-digital-helping-accompaniment/structure-digital-helping-accompaniment.component';
import { StructureEquipmentsComponent } from './structure-form/structure-equipments/structure-equipments.component';
import { StructureFormComponent } from './structure-form/structure-form.component';
import { StructureHoursComponent } from './structure-form/structure-hours/structure-hours.component';
import { StructureLabelsComponent } from './structure-form/structure-labels/structure-labels.component';
import { StructureNameAndAddressComponent } from './structure-form/structure-name-and-address/structure-name-and-address.component';
import { StructureDigitalHelpingAccompanimentOtherComponent } from './structure-form/structure-public-target-other/structure-public-target-other.component';
import { StructureSolidarityMaterialComponent } from './structure-form/structure-solidarity-material/structure-solidarity-material.component';
import { StructureTrainingPriceComponent } from './structure-form/structure-training-price/structure-training-price.component';
import { StructureTrainingTypeComponent } from './structure-form/structure-training-type/structure-training-type.component';
import { StructureTypeComponent } from './structure-form/structure-type/structure-type.component';
import { StructureWebAndSocialNetworkComponent } from './structure-form/structure-web-and-social-network/structure-web-and-social-network.component';
import { StructureWifiComponent } from './structure-form/structure-wifi/structure-wifi.component';

@NgModule({
  declarations: [
    FormViewComponent,
    StructureFormComponent,
    ProfileFormComponent,
    PersonalOfferFormComponent,
    PersonalOfferAccompanimentComponent,
    PersonalOfferTrainingTypeComponent,
    PersonalOfferOtherStructureChoiceComponent,
    AccountFormComponent,
    ProfileEmployerSelectionComponent,
    ProfileJobSelectionComponent,
    ProfileStructureChoiceComponent,
    StructureNameAndAddressComponent,
    StructureContactComponent,
    StructureAccompanimentChoiceComponent,
    StructureAccessModalityComponent,
    StructureHoursComponent,
    StructureWebAndSocialNetworkComponent,
    StructureDigitalHelpingAccompanimentOtherComponent,
    StructureDigitalHelpingAccompanimentComponent,
    StructureTrainingPriceComponent,
    StructureWifiComponent,
    StructureEquipmentsComponent,
    StructureLabelsComponent,
    StructureDescriptionComponent,
    StructureConsentComponent,
    AccountInfoComponent,
    AccountCredentialsComponent,
    FooterFormComponent,
    StructureTypeComponent,
    AccountNewsletterComponent,
    StructureTrainingTypeComponent,
    StructureSolidarityMaterialComponent,
  ],
  imports: [CommonModule, FormViewRoutingModule, SharedModule, A11yModule],
  providers: [PersonalOfferGuard],
})
export class FormViewModule {}
