import { Component, Input, OnChanges, SimpleChanges } from '@angular/core';
import { formType } from '../../formType.enum';

@Component({
  selector: 'app-progress-bar',
  templateUrl: './progress-bar.component.html',
  styleUrls: ['./progress-bar.component.scss'],
})
export class ProgressBarComponent implements OnChanges {
  @Input() formType: formType;
  /** Number of current step */
  @Input({ required: true }) currentPage: number;
  /** Total number of steps */
  @Input({ required: true }) nbSteps: number;
  public progressStatus: number;
  public formTypeEnum = formType;

  ngOnChanges(changes: SimpleChanges): void {
    if (changes.currentPage) {
      const rounded = Math.round(((this.currentPage + 1) / this.nbSteps) * 100);
      this.progressStatus = Math.min(rounded, 100);
    }
  }
}
