import { CommonModule } from '@angular/common';
import type { Meta, StoryObj } from '@storybook/angular';
import { moduleMetadata } from '@storybook/angular';
import { formType } from '../../formType.enum';
import { ProgressBarComponent } from './progress-bar.component';

// More on how to set up stories at: https://storybook.js.org/docs/angular/writing-stories/introduction
const meta: Meta<ProgressBarComponent> = {
  title: 'Form/Progress bar',
  component: ProgressBarComponent,
  tags: ['autodocs'],
  decorators: [
    moduleMetadata({
      declarations: [],
      imports: [CommonModule],
    }),
  ],
  argTypes: {},
};

export default meta;
type Story = StoryObj<ProgressBarComponent>;

export const ProgressBar: Story = {
  args: {
    currentPage: 5,
    formType: formType.account,
    nbSteps: 15,
  },
  argTypes: {
    currentPage: {
      type: 'number',
      description: 'Play with this value to see the animation of the progress',
      control: {
        type: 'range',
        min: 0,
        max: 15,
      },
    },
  },
};
