import { Injectable } from '@angular/core';
import { ActivatedRouteSnapshot, Router, UrlTree } from '@angular/router';
/**
 * Guard to assert that we are coming from the structure form. Otherwise redirect to home
 */
@Injectable()
export class PersonalOfferGuard {
  constructor(private router: Router) {}

  canActivate(route: ActivatedRouteSnapshot): UrlTree | boolean {
    if (
      route.routeConfig.path === 'offre-personnelle' &&
      (this.router.routerState.snapshot.url === '/profil' ||
        this.router.routerState.snapshot.url === '/formulaire/profil' ||
        this.router.routerState.snapshot.url === '/formulaire/structure' ||
        this.router.routerState.snapshot.url.includes('/join-request/'))
    ) {
      return true;
    }
    return this.router.parseUrl('/home');
  }
}
