import { Component, EventEmitter, Input, OnInit, Output } from '@angular/core';
import { UntypedFormGroup } from '@angular/forms';
import { Category } from '../../../../structure-list/models/category.model';

@Component({
  selector: 'app-structure-digital-helping-accompaniment',
  templateUrl: './structure-digital-helping-accompaniment.component.html',
})
export class StructureDigitalHelpingAccompanimentComponent implements OnInit {
  @Input() structureForm: UntypedFormGroup;
  @Input() onlineProcedures: Category;
  @Input() isEditMode: boolean;
  @Output() updateChoice = new EventEmitter<any>();
  @Output() validateForm = new EventEmitter<any>();

  ngOnInit(): void {
    this.validateForm.emit();
  }

  public updateChoiceAccompaniment(choice: string): void {
    this.updateChoice.emit({ formControlName: 'categories.onlineProcedures', choice });
    this.validateForm.emit();
  }

  public isInArray(choice: string): boolean {
    if (this.structureForm.get('categories').get('onlineProcedures')?.value.includes(choice)) return true;
    return false;
  }
  public goBack(): void {
    history.back();
  }
}
