import { Component, EventEmitter, Input, OnInit, Output } from '@angular/core';
import { UntypedFormGroup } from '@angular/forms';

@Component({
  selector: 'app-structure-hours',
  templateUrl: './structure-hours.component.html',
})
export class StructureHoursComponent implements OnInit {
  @Input() structureForm: UntypedFormGroup;
  @Input() hoursForm: UntypedFormGroup;
  @Input() isEditMode: boolean;
  @Output() hours = new EventEmitter<any>();
  @Output() hoursError = new EventEmitter<any>();
  @Output() validateForm = new EventEmitter<any>();

  ngOnInit(): void {
    this.validateForm.emit();
  }

  public updateHours(value: UntypedFormGroup): void {
    this.hoursForm = value;
    this.hours.emit(value);
    this.validateForm.emit();
  }

  public setHoursError(): void {
    this.hoursForm.setErrors({ formError: true });
    this.validateForm.emit();
  }

  public goBack(): void {
    history.back();
  }
}
