import { Component, EventEmitter, Input, OnInit, Output } from '@angular/core';
import { UntypedFormGroup } from '@angular/forms';
import { Address } from '../../../../models/address.model';

@Component({
  selector: 'app-structure-name-and-address',
  templateUrl: './structure-name-and-address.component.html',
})
export class StructureNameAndAddressComponent implements OnInit {
  @Input() structureForm: UntypedFormGroup;
  @Input() isEditMode: boolean;
  @Output() validateForm = new EventEmitter<any>();
  @Output() addressStructure = new EventEmitter<any>();

  ngOnInit(): void {
    this.validateForm.emit();
  }

  public setValidationsForm(): void {
    this.validateForm.emit();
  }

  public setAddressStructure(address?: Address): void {
    this.addressStructure.emit(address);
    this.setValidationsForm();
  }

  public goBack(): void {
    history.back();
  }
}
