import { Component, EventEmitter, Input, OnInit, Output } from '@angular/core';
import { AbstractControl, UntypedFormGroup } from '@angular/forms';
import { FreeWorkshop } from '../../../../structure/enums/freeWorkshop.enum';

@Component({
  selector: 'app-structure-training-price',
  templateUrl: './structure-training-price.component.html',
})
export class StructureTrainingPriceComponent implements OnInit {
  @Input() structureForm: UntypedFormGroup;
  @Input() isEditMode: boolean;
  @Output() radioChange = new EventEmitter<any>();
  @Output() validateForm = new EventEmitter<any>();
  public FreeWorkshop = FreeWorkshop;
  public selectedOption;

  ngOnInit(): void {
    this.validateForm.emit();
    this.selectedOption = this.structureForm.get('categories').get('freeWorkShop').value;
  }

  public getStructureControl(nameControl: string): AbstractControl {
    return this.structureForm.get(nameControl);
  }

  public onRadioChange(choice: string): void {
    this.selectedOption = choice;
    this.radioChange.emit({ name: 'freeWorkShop', value: this.selectedOption });
    this.validateForm.emit();
  }

  public goBack(): void {
    history.back();
  }
}
