import { Component, EventEmitter, Input, OnInit, Output } from '@angular/core';
import { UntypedFormGroup } from '@angular/forms';
import { FormUtils } from 'src/app/utils/formUtils';

@Component({
  selector: 'app-structure-wifi',
  templateUrl: './structure-wifi.component.html',
})
export class StructureWifiComponent implements OnInit {
  @Input() structureForm: UntypedFormGroup;
  @Input() isEditMode: boolean;
  @Output() validateForm = new EventEmitter<any>();
  @Output() checkChange = new EventEmitter<any>();
  @Output() radioChange = new EventEmitter<any>();

  public formUtils = new FormUtils();
  ngOnInit(): void {
    this.validateForm.emit();
  }
  public isInArray(formControlName: string, term: string): boolean {
    return this.formUtils.isInCategoryArray(term, formControlName, this.structureForm);
  }
  public onCheckChange(value: boolean, catId: string, modId: string): void {
    this.checkChange.emit({ event: value, formControlName: catId, value: modId });
    this.onRadioChange('freeWifi', value);
  }

  public onRadioChange(name: string, value: string | boolean): void {
    this.radioChange.emit({ name, value });
    this.validateForm.emit();
  }
  public goBack(): void {
    history.back();
  }
}
