/**
 * Names of needs, leading to one of the three orientations
 */
export enum NeedsTypes {
  equipmentAccess = 'selfServiceMaterial',
  equipmentBuy = 'solidarityMaterial',
  onlineDemarch = 'onlineProcedures',
  baseSkills = 'baseSkills',
}

/**
 * Names of different orientations
 */
export enum AccompanimentTypes {
  structuresList = 'Trouver une structure',
  appointment = 'RDV Conseiller Numérique',
  onlineMediation = 'Médiation Numérique à distance',
}

/**
 * We are either in the common first steps (filtersChoice, accompanimentChoice),
 * or in the accompaniment tunnel (either a structuresList, an appointment, or
 * an online Mediation)
 */
export enum GenericOrientationSteps {
  common,
  accompanimentTunnel,
}

/**
 * To prepare each need, a set of filters must be chosen. In Online procedures
 * (onlineDemarch or baseSkills), there is also a choice of the accompaniment
 * type.
 */
export enum CommonSteps {
  filtersChoice,
  accompanimentType,
}

/**
 * Steps of different orientations
 */
export enum StructuresListSteps {
  pmrAccess,
  address,
  structureChoice,
  mediationBeneficiaryInfo,
  comments,
  structureOrientator,
  orientationRecap,
}
export enum AppointmentSteps {
  infoScreen,
  pmrAccess,
  location,
  carto,
  makeAppointment,
  mediationBeneficiaryInfo,
  structureOrientator,
  orientationRecap,
  rdvEnd,
  orientationPrint,
}
export enum OnlineMediationSteps {
  infoScreen,
  mediationBeneficiaryInfo,
  mediationHoursSelection,
  mediationLanguageSelection,
  comments,
  structureOrientator,
  orientationRecap,
  rdvEnd,
  orientationPrint,
}
