import { Component, EventEmitter, Input, Output } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { Module } from '../../../../structure-list/models/module.model';

@Component({ template: `` })
export class SelectComponent {
  @Input() filtersForm: FormGroup;
  @Output() checkValidation = new EventEmitter<void>();
  public equipmentType: Module[] = [];
  public selectedModules: Module[] = [];

  public handleClick(module: Module): void {
    if (this.isSelectedModule(module.id)) {
      const index = this.selectedModules.findIndex((_module) => _module.id === module.id);
      this.selectedModules.splice(index, 1);
    } else {
      this.selectedModules.push(module);
    }
    this.filtersForm.get('filters').patchValue(this.selectedModules);
    this.checkValidation.emit();
  }

  public isSelectedModule(moduleId: string): boolean {
    return this.selectedModules.map((module) => module.id).includes(moduleId);
  }
}
