import { Component, EventEmitter, Input, OnInit, Output } from '@angular/core';
import { UntypedFormGroup } from '@angular/forms';
import { Utils } from '../../../../../utils/utils';

@Component({
  selector: 'app-mediation-beneficiary-info',
  templateUrl: './mediation-beneficiary-info.component.html',
  styleUrls: ['./mediation-beneficiary-info.component.scss'],
})
export class MediationBeneficiaryInfoComponent implements OnInit {
  @Input() form: UntypedFormGroup;
  @Output() checkValidation = new EventEmitter<any>();
  @Input() public isOrientationRdv = false;
  public utils = new Utils();

  ngOnInit(): void {
    this.checkValidation.emit();
  }

  public isPhone(): boolean {
    return Boolean(this.form.get('phone'));
  }
  public isEmail(): boolean {
    return Boolean(this.form.get('email'));
  }
  public getSup(): string {
    return this.isPhone() && this.isEmail() ? '1' : '*';
  }

  public updatedForm(field: string, value: string): void {
    if (field === 'phone') {
      value = this.utils.modifyPhoneValue(value);
    }
    this.form.get(field).patchValue(value);

    this.checkValidation.emit();
  }
}
