import { Component, EventEmitter, Input, OnInit, Output } from '@angular/core';
import { AbstractControl, UntypedFormGroup } from '@angular/forms';

@Component({
  selector: 'app-orientation-comments',
  templateUrl: './orientation-comments.component.html',
})
export class OrientationCommentsComponent implements OnInit {
  @Input() form: UntypedFormGroup;
  @Output() checkValidation = new EventEmitter<string>();

  ngOnInit(): void {
    this.checkValidation.emit();
  }

  public getStructureControl(nameControl: string): AbstractControl {
    return this.form.get(nameControl);
  }

  public setComment(target?: EventTarget): void {
    this.checkValidation.emit((target as HTMLTextAreaElement).value);
  }
}
