import { Injectable } from '@angular/core';

import { Observable } from 'rxjs';

export interface IDeactivateComponent {
  canExit: () => Observable<boolean> | Promise<boolean> | boolean;
}

/**
 * Guard to confirm we are leaving. Otherwise stay at current route.
 */
@Injectable()
export class DeactivateGuard {
  component: Object;

  canDeactivate(component: IDeactivateComponent): Observable<boolean> | Promise<boolean> | boolean {
    return component?.canExit();
  }
}
