import { Component, Input } from '@angular/core';
import { Router } from '@angular/router';
import { PersonalOffer } from './../../../models/personalOffer.model';

@Component({
  selector: 'app-personal-offer',
  templateUrl: './personal-offer.component.html',
  styleUrls: ['./personal-offer.component.scss'],
})
export class PersonalOfferComponent {
  @Input() public personalOffer: PersonalOffer;
  @Input() public isPublic: boolean;
  @Input() public structureName?: string;

  constructor(private router: Router) {}

  public goToEditPersonalOffer(): void {
    this.router.navigateByUrl(`/profil/edition-offre-personnelle/${this.personalOffer._id}`, {
      state: { structureName: this.structureName },
    });
  }
}
