import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { lastValueFrom } from 'rxjs';
import { Config } from '../models/config.model';

@Injectable({
  providedIn: 'root',
})
export class ConfigService {
  private config: Config;

  constructor(private http: HttpClient) {}

  public async getConfig(): Promise<Config> {
    if (!this.config) {
      this.config = await lastValueFrom(this.http.get<Config>('/api/config'));
    }
    return this.config;
  }
}
