import { Component, EventEmitter, Input, Output } from '@angular/core';
import { Job } from '../../../models/job.model';

@Component({
  selector: 'app-appointment-choice',
  templateUrl: './appointment-choice.component.html',
  styleUrls: ['./appointment-choice.component.scss'],
})
export class AppointmentChoiceComponent {
  @Input() selectedRdvChoice: boolean;
  @Output() validateForm = new EventEmitter<Job>();
  @Output() rdvChoice = new EventEmitter<boolean>();

  public onRdvChoiceChange(value: boolean): void {
    this.selectedRdvChoice = value;
    this.rdvChoice.emit(this.selectedRdvChoice);
    this.validateForm.emit();
  }
}
