import { CommonModule } from '@angular/common';
import type { Meta, StoryObj } from '@storybook/angular';
import { moduleMetadata } from '@storybook/angular';
import { SvgIconComponent } from '../svg-icon/svg-icon.component';
import { ButtonComponent } from './button.component';

// More on how to set up stories at: https://storybook.js.org/docs/angular/writing-stories/introduction
const meta: Meta<ButtonComponent> = {
  title: 'Components/Button',
  component: ButtonComponent,
  decorators: [
    moduleMetadata({
      declarations: [SvgIconComponent],
      imports: [CommonModule],
    }),
  ],
  argTypes: {},
};

export default meta;
type Story = StoryObj<ButtonComponent>;

export const Primary: Story = {
  args: {
    label: 'Primary button',
    variant: 'primary',
    size: 'medium',
    disabled: false,
  },
};

export const PrimarySmall: Story = {
  args: {
    ...Primary.args,
    size: 'small',
  },
};

export const PrimaryLarge: Story = {
  args: {
    ...Primary.args,
    size: 'large',
  },
};

export const PrimaryWithIcon: Story = {
  args: {
    ...Primary.args,
    label: 'Suivant',
    iconPosition: 'right',
    iconFolder: 'ico',
    iconName: 'arrowForward',
  },
};

export const PrimaryWide: Story = {
  args: {
    ...Primary.args,
    wide: true,
  },
};

export const PrimaryBlack: Story = {
  args: {
    ...Primary.args,
    variant: 'primaryBlack',
  },
};

export const PrimaryWarning: Story = {
  args: {
    ...Primary.args,
    variant: 'primaryWarning',
  },
};

export const PrimarySuccess: Story = {
  args: {
    ...Primary.args,
    variant: 'primarySuccess',
  },
};

export const Secondary: Story = {
  args: {
    label: 'Secondary button',
    variant: 'secondary',
  },
};

export const SecondarySuccess: Story = {
  args: {
    label: 'SecondarySuccess button',
    variant: 'secondarySuccess',
  },
};

export const SecondaryDelete: Story = {
  args: {
    label: 'SecondaryDelete button',
    variant: 'secondaryDelete',
  },
};

export const Tertiary: Story = {
  args: {
    label: 'Tertiary button',
    variant: 'tertiary',
  },
};
