import { CommonModule } from '@angular/common';
import type { Meta, StoryObj } from '@storybook/angular';
import { moduleMetadata } from '@storybook/angular';
import { SvgIconComponent } from '../svg-icon/svg-icon.component';
import { CheckboxFilterComponent } from './checkbox-filter.component';

// More on how to set up stories at: https://storybook.js.org/docs/angular/writing-stories/introduction
const meta: Meta<CheckboxFilterComponent> = {
  title: 'Filters/Checkbox filter',
  component: CheckboxFilterComponent,
  tags: ['autodocs'],
  decorators: [
    moduleMetadata({
      declarations: [SvgIconComponent],
      imports: [CommonModule],
    }),
  ],
  argTypes: {},
};

export default meta;
type Story = StoryObj<CheckboxFilterComponent>;

export const CheckBoxFilter: Story = {
  args: {
    checked: false,
    module: {
      id: 'id',
      name: 'name',
      displayText: 'Rendez-vous',
      disabled: false,
    },
  },
};

export const CheckBoxFilterChecked: Story = {
  args: {
    checked: true,
    module: {
      id: 'id',
      name: 'name',
      displayText: 'Rendez-vous',
      disabled: false,
    },
  },
};
