import { Component, EventEmitter, Input, Output } from '@angular/core';

@Component({
  selector: 'app-checkbox-form',
  templateUrl: './checkbox-form.component.html',
  styleUrls: ['./checkbox-form.component.scss'],
})
export class CheckboxFormComponent {
  @Input({ required: true }) public id: string;
  @Input() public isChecked = false;
  @Input() public text: string;
  @Input() public iconSvg: string;
  @Input() public iconType: string;
  @Input() public disabled = false;
  @Output() checkEvent: EventEmitter<boolean> = new EventEmitter<boolean>();

  public clicked(): void {
    this.isChecked = !this.isChecked;
    this.checkEvent.emit(this.isChecked);
  }
}
