import { CommonModule } from '@angular/common';
import type { Meta, StoryObj } from '@storybook/angular';
import { componentWrapperDecorator, moduleMetadata } from '@storybook/angular';
import { CheckboxComponent } from '../checkbox/checkbox.component';
import { CheckboxFormComponent } from './checkbox-form.component';

// More on how to set up stories at: https://storybook.js.org/docs/angular/writing-stories/introduction
const meta: Meta<CheckboxFormComponent> = {
  title: 'Form/Checkbox',
  component: CheckboxFormComponent,
  tags: ['autodocs'],
  decorators: [
    moduleMetadata({
      declarations: [CheckboxComponent],
      imports: [CommonModule],
    }),
  ],
  argTypes: {},
};

export default meta;
type Story = StoryObj<CheckboxFormComponent>;

export const Checkbox: Story = {
  args: {
    id: 'enAccesLibre',
    text: 'En accès libre',
    iconSvg: 'accesLibre',
    iconType: 'form',
  },
  decorators: [componentWrapperDecorator((story) => `<div style="max-width:600px;">${story}</div>`)],
};

export const CheckboxDisabled: Story = {
  args: {
    id: 'enAccesLibre',
    text: 'En accès libre',
    iconSvg: 'accesLibre',
    iconType: 'form',
    disabled: true,
  },
  decorators: [componentWrapperDecorator((story) => `<div style="max-width:600px;">${story}</div>`)],
};
