import { Component, EventEmitter, Input, Output } from '@angular/core';

@Component({
  selector: 'app-label-checkbox',
  templateUrl: './label-checkbox.component.html',
  styleUrls: ['./label-checkbox.component.scss'],
})
export class LabelCheckboxComponent {
  /** Label text to display */
  @Input({ required: true }) label: string;

  /** HTML for that will control checkbox */
  @Input({ required: true }) for: string;

  /** What size should the checkbox be ? */
  @Input() size?: 'small' | 'medium' = 'small';

  @Input({ required: true }) checked: boolean;

  @Input() indeterminate?: boolean;

  /** Additional label description */
  @Input() description?: string;

  /** What additional data should be displayed ? error or success */
  @Input() status?: 'error' | 'success';

  /** Additional text to display on error or success */
  @Input() statusText?: string;

  @Output() action = new EventEmitter<Event>();
}
