import { Component, EventEmitter, Input, Output } from '@angular/core';

@Component({
  selector: 'app-checkbox',
  templateUrl: './checkbox.component.html',
  styleUrls: ['./checkbox.component.scss'],
})
export class CheckboxComponent {
  /** HTML id associated with for */
  @Input({ required: true }) id: string;

  /** Checked ? */
  @Input({ required: true }) checked: boolean;

  /** Indeterminate (half-checked) ? */
  @Input() indeterminate?: boolean;

  /** What size should the checkbox be ? */
  @Input() size?: 'small' | 'medium' = 'medium';

  @Input() disabled?: boolean;

  @Output() action = new EventEmitter<Event>();

  public get classes(): string[] {
    return [this.size];
  }
}
