import { Component, EventEmitter, Input, Output } from '@angular/core';

@Component({
  selector: 'app-collapsable-filter',
  templateUrl: './collapsable-filter.component.html',
  styleUrls: ['./collapsable-filter.component.scss'],
})
export class CollapsableFilterComponent {
  /** Filter label */
  @Input({ required: true }) label: string;

  /** Is showing the options ?  */
  @Input({ required: true }) expanded: boolean;

  /** Is one of the options checked ? */
  @Input({ required: true }) active: boolean;

  @Output() toggle = new EventEmitter<void>();

  handleToggle(): void {
    this.toggle.emit();
  }
}
