import { CommonModule } from '@angular/common';
import type { Meta, StoryObj } from '@storybook/angular';
import { moduleMetadata } from '@storybook/angular';
import { SvgIconComponent } from '../svg-icon/svg-icon.component';
import { CollapsableFilterComponent } from './collapsable-filter.component';

// More on how to set up stories at: https://storybook.js.org/docs/angular/writing-stories/introduction
const meta: Meta<CollapsableFilterComponent> = {
  title: 'Filters/Collapsable filter',
  component: CollapsableFilterComponent,
  tags: ['autodocs'],
  decorators: [
    moduleMetadata({
      declarations: [SvgIconComponent],
      imports: [CommonModule],
    }),
  ],
  argTypes: {},
};

export default meta;
type Story = StoryObj<CollapsableFilterComponent>;

export const CollapsableFilter: Story = {
  args: {
    label: 'Démarches en ligne',
    expanded: false,
    active: false,
  },
};

export const CollapsableFilterActive: Story = {
  args: {
    ...CollapsableFilter.args,
    active: true,
  },
};

export const CollapsableFilterExpanded: Story = {
  args: {
    ...CollapsableFilter.args,
    expanded: true,
  },
};
