import { Component, EventEmitter, Output } from '@angular/core';

@Component({
  selector: 'app-collapse-header',
  template: `<button
    type="button"
    class="collapse-header"
    aria-haspopup="true"
    [ngClass]="size"
    (click)="toggle.emit()"
  >
    <ng-content />
    <app-svg-icon [ngClass]="expanded && 'expanded'" [folder]="'ico'" [icon]="'chevronDown'" [iconClass]="'icon-32'" />
  </button>`,
  styleUrls: ['collapse-header.component.scss'],
})
export class CollapseHeaderComponent {
  @Output() toggle = new EventEmitter<void>();
  expanded = false;
  size: 'small' | 'medium' = 'small';
}

