import { Component, Input } from '@angular/core';

@Component({
  selector: 'app-color-block',
  standalone: true,
  imports: [],
  template: `<div style="display: flex; align-items: center; gap: 16px;">
    <div style="margin-right: 10px; height: 40px; width: 80px; border-radius: 4px;" [style.background]="hexCode"></div>
    <div style="width: 120px;">{{ name }}</div>
    <button type="button" style="width:70px" (click)="copyToClipboard()">{{ hexCode }}</button>
  </div>`,
})
/** Component used only for storybook */
export class ColorBlockComponent {
  @Input() name: string;
  @Input() hexCode: string;

  copyToClipboard(): void {
    console.log('Color copied to clipboard !');
    navigator.clipboard.writeText(this.hexCode);
  }
}
