import { CommonModule } from '@angular/common';
import type { Meta, StoryObj } from '@storybook/angular';
import { moduleMetadata } from '@storybook/angular';
import { SvgIconComponent } from '../svg-icon/svg-icon.component';
import { ColorBlockComponent } from './color-block.component';

// More on how to set up stories at: https://storybook.js.org/docs/angular/writing-stories/introduction
const meta: Meta<ColorBlockComponent> = {
  title: 'UI/ColorBlock',
  component: ColorBlockComponent,
  decorators: [
    moduleMetadata({
      declarations: [SvgIconComponent],
      imports: [CommonModule],
    }),
  ],
  parameters: {
    layout: 'fullscreen',
  },
  argTypes: {},
};

export default meta;
type Story = StoryObj<ColorBlockComponent>;

/* GREYS */
export const Grey0: Story = {
  args: { name: 'grey-0', hexCode: '#00000' },
};
export const Grey1: Story = { args: { name: 'grey-1', hexCode: '#333333' } };
export const Grey2: Story = { args: { name: 'grey-2', hexCode: '#4c4d53' } };
export const Grey3: Story = { args: { name: 'grey-3', hexCode: '#696969' } };
export const Grey4: Story = { args: { name: 'grey-4', hexCode: '#949494' } };
export const Grey5: Story = { args: { name: 'grey-5', hexCode: '#bdbdbd' } };
export const Grey6: Story = { args: { name: 'grey-6', hexCode: '#dedede' } };
export const Grey7: Story = { args: { name: 'grey-7', hexCode: '#e9e9e9' } };
export const Grey8: Story = { args: { name: 'grey-8', hexCode: '#f4f4f4' } };
export const Grey9: Story = { args: { name: 'grey-9', hexCode: '#f8f8f8' } };
export const Grey10: Story = { args: { name: 'grey-10', hexCode: '#ffffff' } };
/* GREY Accessibility Ratio 4,5:1 */
export const Grey451: Story = { args: { name: 'grey-4-5-1', hexCode: '#767676' } };

/* RED */
export const RedDarker: Story = { args: { name: 'red-darker', hexCode: '#a50f0e' } };
export const RedDark: Story = { args: { name: 'red-dark', hexCode: '#cd2524' } };
export const RedMain: Story = { args: { name: 'red', hexCode: '#da3635' } };
export const RedLight: Story = { args: { name: 'red-light', hexCode: '#ff5d5c' } };
export const RedLighter: Story = { args: { name: 'red-lighter', hexCode: '#ffe5e4' } };

/* INFO */
export const InfoSuccess: Story = { args: { name: 'info/success', hexCode: '#1d8844' } };
export const InfoWarning: Story = { args: { name: 'info/warning', hexCode: '#cf4b00' } };
export const InfoInformation: Story = { args: { name: 'info/information', hexCode: '#0073e9' } };
export const InfoError: Story = { args: { name: 'info/error', hexCode: '#da3635' } };
