import { CommonModule } from '@angular/common';
import type { Meta, StoryObj } from '@storybook/angular';
import { moduleMetadata } from '@storybook/angular';
import { InputComponent } from './input.component';

// More on how to set up stories at: https://storybook.js.org/docs/angular/writing-stories/introduction
const meta: Meta<InputComponent> = {
  title: 'Components/Input',
  component: InputComponent,
  tags: ['autodocs'],
  decorators: [
    moduleMetadata({
      declarations: [],
      imports: [CommonModule],
    }),
  ],
  argTypes: {},
};

export default meta;
type Story = StoryObj<InputComponent>;

export const Input: Story = {
  args: {
    id: 'input1',
    label: 'Label',
  },
};

export const InputWide: Story = {
  args: {
    ...Input.args,
    wide: true,
  },
};

export const InputWithDescription: Story = {
  args: {
    ...Input.args,
    id: 'input2',
    description: 'Texte de description additionnel',
  },
};

export const InputDisabled: Story = {
  args: {
    ...InputWithDescription.args,
    id: 'input3',
    disabled: true,
  },
};

export const InputWithError: Story = {
  args: {
    ...InputWithDescription.args,
    id: 'input4',
    label: 'Label',
    status: 'error',
    statusText: "Texte d'erreur obligatoire",
  },
};

export const InputWithSuccess: Story = {
  args: {
    ...InputWithDescription.args,
    id: 'input5',
    label: 'Label',
    status: 'success',
    statusText: 'Texte de succès',
  },
};

export const InputPassword: Story = {
  args: {
    ...InputWithDescription.args,
    id: 'input6',
    label: 'Mot de passe',
    type: 'password',
    status: 'info',
    statusText: 'Le mot de passe doit obligatoirement contenir : 8 caractères, une majuscule, un caractère spécial',
  },
};

export const InputReadonly: Story = {
  args: {
    ...InputWithDescription.args,
    id: 'input7',
    readonly: true,
  },
};

export const InputWithSup: Story = {
  args: {
    ...Input.args,
    id: 'input8',
    sup: '1',
  },
};
