import { Component, EventEmitter, Input, Output } from '@angular/core';

@Component({
  selector: 'app-modal',
  templateUrl: './modal.component.html',
  styleUrls: ['./modal.component.scss'],
})
export class ModalComponent {
  /* Is modal opened ? */
  @Input({ required: true }) public opened: boolean;

  /* Content of the modal (between title and buttons) */
  @Input() public content: string;

  /* Label of validate button */
  @Input() public validateLabel?: string = 'Valider';

  /* Label of cancel button ? */
  @Input() public cancelLabel?: string = 'Annuler';

  /* Content of modal title */
  @Input() public title?: string;

  /* Does the modal need to have only one wide button instead of two regular ones ? */
  @Input() public singleButton?: boolean = false;

  /* Disable validate button ? */
  @Input() public validateDisabled?: boolean = false;

  /* Close event */
  @Output() closed = new EventEmitter<boolean>();

  public closeModal(value: boolean): void {
    this.closed.emit(value);
  }
}
