import { Component, EventEmitter, Input, Output } from '@angular/core';

@Component({
  selector: 'app-nav-bar',
  templateUrl: './nav-bar.component.html',
  styleUrls: ['./nav-bar.component.scss'],
})
export class NavBarComponent {
  @Input({ required: true }) tabs: string[];
  @Input({ required: true }) ariaLabel: string;
  @Input() shouldExpand = false;
  @Input() currentTab = 0;
  @Input() ariaControls = [];
  @Output() clickedTab = new EventEmitter<number>();

  public onClickTab(tabIndex: number): void {
    this.currentTab = tabIndex;
    this.clickedTab.emit(tabIndex);
  }

  public isActive(idx: number): boolean {
    return this.currentTab === idx;
  }

  public getControl(index: number): string | null {
    return this.ariaControls[index] ?? null;
  }
}
