import { Component, Input } from '@angular/core';

@Component({
  selector: 'app-radio-option',
  templateUrl: './radio-option.component.html',
  styleUrls: ['./radio-option.component.scss'],
})
export class RadioOptionComponent {
  /** HTML id associated with for */
  @Input({ required: true }) id: string;

  /** Label for the radio */
  @Input({ required: true }) label: string;

  /** Additional label description */
  @Input() description?: string;

  /** Value to emit ? */
  @Input() value: string | boolean;

  /** Selected or not */
  @Input({ required: true }) selected: boolean;

  /** What size should the checkbox be ? */
  @Input() size?: 'small' | 'medium' = 'medium';

  /** Optional icon to display between the radio and label */
  @Input() iconName?: string;

  // For a better accessibility support, use the native html output events (change, click, etc.) emitted by the inner input radio element
}
