import { CommonModule } from '@angular/common';
import type { Meta, StoryObj } from '@storybook/angular';
import { componentWrapperDecorator, moduleMetadata } from '@storybook/angular';
import { RadioComponent } from '../radio/radio.component';
import { SvgIconComponent } from '../svg-icon/svg-icon.component';
import { RadioOptionComponent } from './radio-option.component';

// More on how to set up stories at: https://storybook.js.org/docs/angular/writing-stories/introduction
const meta: Meta<RadioOptionComponent> = {
  title: 'Form/Radio option',
  component: RadioOptionComponent,
  tags: ['autodocs'],
  decorators: [
    moduleMetadata({
      declarations: [SvgIconComponent, RadioComponent],
      imports: [CommonModule],
    }),
  ],
  argTypes: {},
};

export default meta;
type Story = StoryObj<RadioOptionComponent>;

export const RadioOption: Story = {
  args: {
    id: 'yes',
    label: 'Oui',
  },
  decorators: [componentWrapperDecorator((story) => `<div style="max-width:600px;">${story}</div>`)],
};

export const RadioOptionSelected: Story = {
  args: {
    id: 'yes',
    label: 'Oui',
    selected: true,
  },
  decorators: [componentWrapperDecorator((story) => `<div style="max-width:600px;">${story}</div>`)],
};

export const RadioOptionWithDescription: Story = {
  args: {
    id: 'yes',
    label: 'Oui, sous conditions',
    description: 'Adhésion, faibles revenus, etc.',
    selected: true,
  },
  decorators: [componentWrapperDecorator((story) => `<div style="max-width:600px;">${story}</div>`)],
};

export const RadioWithIcon: Story = {
  args: {
    id: 'equipment',
    label: 'Accéder à du matériel numérique en libre service',
    description: '(Wifi, ordinateur, imprimante, scanner...)',
    iconName: 'orientationIndex0',
  },
};
