import { Component, Input } from '@angular/core';

@Component({
  selector: 'app-radio',
  templateUrl: './radio.component.html',
  styleUrls: ['./radio.component.scss'],
})
export class RadioComponent {
  /** HTML id associated with for */
  @Input() id: string;

  /** Checked ? */
  @Input({ required: true }) checked: boolean;

  /** What size should the checkbox be ? */
  @Input() size?: 'small' | 'medium' = 'medium';

  @Input() disabled?: boolean;

  /** Label for the radio */
  @Input() label?: string;

  /** Additional label description */
  @Input() description?: string;

  /** Optional icon to display between the radio and label */
  @Input() iconName?: string;

  // For a better accessibility support, use the native html output events (change, click, etc.) emitted by the inner input radio element

  public get classes(): string[] {
    return [this.size];
  }
}
