import { CommonModule } from '@angular/common';
import type { Meta, StoryObj } from '@storybook/angular';
import { moduleMetadata } from '@storybook/angular';
import { RadioComponent } from './radio.component';

// More on how to set up stories at: https://storybook.js.org/docs/angular/writing-stories/introduction
const meta: Meta<RadioComponent> = {
  title: 'Components/Radio',
  component: RadioComponent,
  tags: ['autodocs'],
  decorators: [
    moduleMetadata({
      declarations: [],
      imports: [CommonModule],
    }),
  ],
  argTypes: {},
};

export default meta;
type Story = StoryObj<RadioComponent>;

export const Radio: Story = {
  args: {
    id: 'radio1',
    size: 'medium',
    disabled: false,
    label: 'Label radio check',
  },
};

export const RadioChecked: Story = {
  args: {
    ...Radio.args,
    id: 'radio2',
    checked: true,
  },
};

export const RadioDisabled: Story = {
  args: {
    ...Radio.args,
    id: 'radio3',
    disabled: true,
  },
};

export const RadioWithDescription: Story = {
  args: {
    ...Radio.args,
    id: 'radio4',
    description: 'Texte de description additionnel',
  },
};
