import { Component, EventEmitter, Input, Output } from '@angular/core';

@Component({
  selector: 'app-search-bar',
  templateUrl: './search-bar.component.html',
  styleUrls: ['./search-bar.component.scss'],
})
export class SearchBarComponent {
  @Input() placeholder = 'Rechercher';
  @Input({ required: true }) value = '';

  /** Triggers when input changes */
  @Output() valueChange = new EventEmitter<string>();

  /** Triggers when button is clicked or Enter is pressed on input */
  @Output() searchSubmitted = new EventEmitter<string>();

  public handleSearch(): void {
    this.searchSubmitted.emit(this.value);
  }

  public clear(event: Event): void {
    // Call search if cross icon in the input is clicked (only in chrome for input of type search)
    if (!(event instanceof InputEvent) && event.type === 'input') {
      this.handleSearch();
    }
  }

  public onChange(): void {
    this.valueChange.emit(this.value);
  }
}
