import { CommonModule } from '@angular/common';
import type { Meta, StoryObj } from '@storybook/angular';
import { moduleMetadata } from '@storybook/angular';
import { ButtonComponent } from '../button/button.component';
import { IconButtonComponent } from '../button/icon-button/icon-button.component';
import { SvgIconComponent } from '../svg-icon/svg-icon.component';
import { SearchBarComponent } from './search-bar.component';

// More on how to set up stories at: https://storybook.js.org/docs/angular/writing-stories/introduction
const meta: Meta<SearchBarComponent> = {
  title: 'Components/Search bar',
  component: SearchBarComponent,
  tags: ['autodocs'],
  decorators: [
    moduleMetadata({
      declarations: [IconButtonComponent, ButtonComponent, SvgIconComponent],
      imports: [CommonModule],
    }),
  ],
  argTypes: {},
};

export default meta;
type Story = StoryObj<SearchBarComponent>;

export const Default: Story = {
  args: {},
};

export const Placeholder: Story = {
  args: {
    placeholder: 'Rechercher un mot, une référence...',
  },
};
