import { Component, EventEmitter, Input, Output } from '@angular/core';
import { SpriteFolderType } from './SpriteFolder.type';

@Component({
  selector: 'app-svg-icon',
  templateUrl: './svg-icon.component.html',
  styleUrls: ['./svg-icon.component.scss'],
})
export class SvgIconComponent {
  /** Id of svg to use */
  @Input({ required: true }) icon: string;

  /** Folder of the sprite ex: assets/ico/sprite.svg */
  @Input({ required: true }) folder: SpriteFolderType = 'ico';

  @Input() iconClass: string;
  @Input() iconColor = 'none';

  /** If should be interactive */
  @Input() asButton = false;
  @Input() ariaLabel?: string = null;

  @Output() action = new EventEmitter<void>();
}
