import { CommonModule } from '@angular/common';
import type { Meta, StoryObj } from '@storybook/angular';
import { moduleMetadata } from '@storybook/angular';
import { CheckboxComponent } from '../checkbox/checkbox.component';
import { SvgIconComponent } from '../svg-icon/svg-icon.component';
import { SwitchComponent } from './switch.component';

// More on how to set up stories at: https://storybook.js.org/docs/angular/writing-stories/introduction
const meta: Meta<SwitchComponent> = {
  title: 'Components/Switch',
  component: SwitchComponent,
  tags: ['autodocs'],
  decorators: [
    moduleMetadata({
      declarations: [SvgIconComponent, SvgIconComponent, CheckboxComponent],
      imports: [CommonModule],
    }),
  ],
  argTypes: {},
};

export default meta;
type Story = StoryObj<SwitchComponent>;

export const Switch: Story = {
  args: {
    label: 'Switch label',
  },
};

export const SwitchChecked: Story = {
  args: {
    ...Switch.args,
    checked: true,
  },
};

export const SwitchStatusText: Story = {
  args: {
    ...Switch.args,
    checkedText: 'Ouvert',
    uncheckedText: 'Fermé',
  },
};
