import { CommonModule } from '@angular/common';
import type { Meta, StoryObj } from '@storybook/angular';
import { moduleMetadata } from '@storybook/angular';
import { TextareaComponent } from './textarea.component';

// More on how to set up stories at: https://storybook.js.org/docs/angular/writing-stories/introduction
const meta: Meta<TextareaComponent> = {
  title: 'Components/Textarea',
  component: TextareaComponent,
  tags: ['autodocs'],
  decorators: [
    moduleMetadata({
      declarations: [],
      imports: [CommonModule],
    }),
  ],
  argTypes: {},
};

export default meta;
type Story = StoryObj<TextareaComponent>;

export const Textarea: Story = {
  args: {
    id: 'textarea1',
    label: 'Label',
  },
};

export const TextareaWithDescription: Story = {
  args: {
    ...Textarea.args,
    id: 'textarea2',
    description: 'Texte de description additionnel',
  },
};

export const TextareaDisabled: Story = {
  args: {
    ...TextareaWithDescription.args,
    id: 'textarea3',
    disabled: true,
  },
};

export const TextareaWithError: Story = {
  args: {
    ...TextareaWithDescription.args,
    id: 'textarea4',
    label: 'Label',
    status: 'error',
    statusText: "Texte d'erreur obligatoire",
  },
};

export const TextareaWithSuccess: Story = {
  args: {
    ...TextareaWithDescription.args,
    id: 'textarea5',
    label: 'Label',
    status: 'success',
    statusText: 'Texte de succès',
  },
};

export const TextareaRequired: Story = {
  args: {
    ...Textarea.args,
    id: 'textarea6',
    label: 'This is required',
    required: true,
  },
};
