import { Injectable } from '@angular/core';
import { Router } from '@angular/router';
import { Structure } from '../../models/structure.model';

@Injectable({
  providedIn: 'root',
})
export class PrintService {
  public structures: Structure[];

  constructor(private router: Router) {}

  public printDocuments(documentName: string, structures: Structure[]): void {
    this.structures = structures;
    this.router.navigate([
      '/',
      {
        outlets: {
          print: ['print', documentName],
        },
      },
    ]);
  }

  public onDataReady(): void {
    setTimeout(() => {
      window.print();
      this.router.navigate([{ outlets: { print: null } }]);
    }, 1500);
  }
}
